Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.persistence.xstream.impl.domain.solution
Class XStreamSolutionFileIO

    java.lang.Object
      org.optaplanner.persistence.xstream.impl.domain.solution.XStreamSolutionFileIO

All Implemented Interfaces:
  SolutionFileIO

    public class XStreamSolutionFileIO

extends Object
implements SolutionFileIO

Field Summary
`static String` | `FILE_EXTENSION`

Constructor Summary
`XStreamSolutionFileIO()`
`XStreamSolutionFileIO(Class... xStreamAnnotatedClasses)`

Method Summary
`String` | `getInputFileExtension()` It's highly recommended that this method returns the same value as `SolutionFileIO.getOutputFileExtension()`, because a good output file is able to function as an input file.
`String` | `getOutputFileExtension()` Every `Solution` type potentially has its own file extension.
`Solution` | `read(File inputSolutionFile)` This method is thread-safe.
`void` | `write(Solution solution, File outputSolutionFile)` This method is thread-safe.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILE_EXTENSION

    public static final String FILE_EXTENSION

See Also:
  Constant Field Values

Constructor Detail

### XStreamSolutionFileIO

    public XStreamSolutionFileIO()

### XStreamSolutionFileIO

    public XStreamSolutionFileIO(Class... xStreamAnnotatedClasses)

Method Detail

### getInputFileExtension

    public String getInputFileExtension()

  Description copied from interface: `SolutionFileIO`
  It's highly recommended that this method returns the same value as `SolutionFileIO.getOutputFileExtension()`, because a good output file is able to function as an input file.

  Specified by:
    `getInputFileExtension` in interface `SolutionFileIO`
  Returns:
    never null, for example "xml"
  See Also:
    `SolutionFileIO.getOutputFileExtension()`

### getOutputFileExtension

    public String getOutputFileExtension()

  Description copied from interface: `SolutionFileIO`
  Every `Solution` type potentially has its own file extension. If no specific file extension is defined by the use case, the following are recommended:
  - If this `SolutionFileIO` implementation serializes to XML, use file extension "xml".
  - If this `SolutionFileIO` implementation serializes to text, use file extension "txt".
  - If this `SolutionFileIO` implementation serializes to binary, use file extension "dat".

  It's good practice that both the input and the output file have the same file extension, because a good output file is able to function as an input file.

  The file extension does not include the dot that separates it from the base name.

  This method is thread-safe.

  Specified by:
    `getOutputFileExtension` in interface `SolutionFileIO`
  Returns:
    never null, for example "xml"

### read

    public Solution read(File inputSolutionFile)

  Description copied from interface: `SolutionFileIO`
  This method is thread-safe.

  Specified by:
    `read` in interface `SolutionFileIO`
  Parameters:
    `inputSolutionFile` - never null
  Returns:
    never null

### write

    public void write(Solution solution,
                      File outputSolutionFile)

  Description copied from interface: `SolutionFileIO`
  This method is thread-safe.

  Specified by:
    `write` in interface `SolutionFileIO`
  Parameters:
    `solution` - never null
    `outputSolutionFile` - never null, parent directory already exists

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.